# Screenshot service

## Dependencies

- `Xvfb`
- `fluxbox`
- `firefox-beta`

## Building

```sh
docker image build -t headless-fox Docker
```

## Running a single analysis

```
BASE_URL=http://localhost:3000 docker run -i -v $PWD/static:/opt/static  headless-fox ./script3.sh '{"url": "pearson.pl", "third_party_domains": ["hotjar.com", "cookielaw.org"]}' 123
```

## Running the server

```
BASE_URL=http://localhost:3000 node .
```
